# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id$
PortSystem      1.0

name            maskedKlustaKwik
version         3.0.2
categories      science
platforms       darwin
license         GPL-2
maintainers     gmail.com:FlorianFranzen

description     Program for automatic clustering of continuous data into a mixture of Gaussians.
long_description    KlustaKwik is an open-source program for \
                    automatic clustering of continuous data into \
                    a mixture of Gaussians. The program was \
                    originally developed for sorting of neuronal \
                    action potentials, but can be applied to any \
                    sort of data.
homepage        http://sourceforge.net/projects/klustakwik/

master_sites        sourceforge:project/klustakwik/${name}/
use_bzip2               yes
extract.suffix          .bz2
worksrcdir      MKK_sourceforge
checksums       rmd160  1d723b72ed17c285a160856c4f3131c1f3451896 \
                        sha256  acdd9a71675d2c0b64809d7f67118eebdb42df1eddfc170b9a00fc8a37dac5b6

patchfiles              patch-makefile.diff

configure       no
variant universal   {}
    
build.target
build.args              CXX=${configure.cxx} \
                        CPPFLAGS="${configure.cppflags}" \
                        CXXFLAGS="${configure.cxxflags} \
                            [get_canonical_archflags cxx]" \
                    LDFLAGS="${configure.ldflags} \
                        [get_canonical_archflags ld]"
destroot  { 
    xinstall ${worksrcpath}/KlustaKwik ${destroot}${prefix}/bin/${name}
}
